Skip to the page

A build

GET/v1/organisations/{id}/environments/{envId}/resources/{rid}/builds/{bid}

Operation services.buildGet · since 2026-11-05 · stable

Needs a session withreadscopeAnswers200 OK

{ "build" }.

Path parameters

idstring (uuid)required
The organisation id.
envIdstring (uuid)required
The environment id.
ridstringrequired
The service's id.
bidstringrequired
The build id.

Errors

Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.

GET/v1/organisations/{id}/environments/{envId}/resources/{rid}/builds/{bid}
curl "https://api.rykloud.com/v1/organisations/$ORG_ID/environments/$ENV_ID/resources/$RESOURCE_ID/builds/$BUILD_ID" \
  -H "Authorization: Bearer $RYKLOUD_TOKEN"